import React from "react";
import PageTitle from "../../../components/PageTitle";
import Container from "../../../components/Container";
import ProductDetails from "../../../components/ProductDetails";
import { language } from "../../../app/features/websiteSetup/websiteSetupSlice";
export default function ProductDetailsPage({ data }) {
  const { product } = data;
  return (
    <div className="bg-[#FDF9FF] w-full">
      <PageTitle
        title={language["Product Details"]}
        pageName={language["Product Details"]}
      />
      <Container>
        <ProductDetails product={product} />
      </Container>
    </div>
  );
}

export async function getServerSideProps() {
  const res = await fetch(
    `${process.env.BASE_URL}api/product/fittings-40a500s-11700-gost-340282016-rod`
  );
  const data = await res.json();
  return { props: { data } };
}
